### Method

# Qmi MessageNasSwiGetStatusOutput get_lte_info

since: 1.24

#### Declaration [src]

    gboolean
    qmi_message_nas_swi_get_status_output_get_lte_info (
      QmiMessageNasSwiGetStatusOutput* self,
      QmiNasActiveBand* value_lte_info_band,
      QmiNasDLBandwidth* value_lte_info_bandwidth,
      guint16* value_lte_info_rx_channel,
      guint16* value_lte_info_tx_channel,
      QmiNasSwiEmmState* value_lte_info_emm_state,
      guint8* value_lte_info_emm_sub_state,
      QmiNasSwiEmmConnectionState* value_lte_info_emm_connection_state,
      GError** error
    )

#### Description [src]

Get the ‘LTE Info’ field from `self`.

Available since: 1.24

#### Parameters

`value_lte_info_band`

  Type: `QmiNasActiveBand`

  A placeholder for the output `QmiNasActiveBand`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_lte_info_bandwidth`

  Type: `QmiNasDLBandwidth`

  A placeholder for the output `QmiNasDLBandwidth`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_lte_info_rx_channel`

  Type: `guint16*`

  A placeholder for the output #guint16, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_lte_info_tx_channel`

  Type: `guint16*`

  A placeholder for the output #guint16, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_lte_info_emm_state`

  Type: `QmiNasSwiEmmState`

  A placeholder for the output `QmiNasSwiEmmState`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_lte_info_emm_sub_state`

  Type: `guint8*`

  A placeholder for the output #guint8, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_lte_info_emm_connection_state`

  Type: `QmiNasSwiEmmConnectionState`

  A placeholder for the output `QmiNasSwiEmmConnectionState`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the field is found, `FALSE` otherwise.